Bug 1403724 - Review Request: php-justinrainbow-json-schema4 - A library to validate a json schema
Summary: Review Request: php-justinrainbow-json-schema4 - A library to validate a json...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-12 09:41 UTC by Remi Collet
Modified: 2017-01-08 22:20 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-31 22:20:18 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (23.61 KB, text/plain)
2016-12-15 03:30 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (14.16 KB, text/plain)
2016-12-15 03:30 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.47 KB, text/plain)
2016-12-15 03:31 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-12-12 09:41:13 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/14229b9d2e4b8b3c2a81174fbfa7db4fcf8f40fa/php/php-justinrainbow-json-schema4/php-justinrainbow-json-schema4.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-justinrainbow-json-schema4-4.0.1-1.remi.src.rpm
Description: 
A PHP Implementation for validating JSON Structures against a given Schema.

This package provides the library version 4 and the validate-json command.
The php-JsonSchema package provides the library version 1.
The php-justinrainbow-json-schema package provides the library version 2.

See http://json-schema.org/

Autoloader: /usr/share/php/JsonSchema4/autoload.php


Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2016-12-15 03:30 UTC
Created attachment 1231949 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.15.0 built Nov 23 2016 09:41:30 CET

Comment 2 Shawn Iwinski 2016-12-15 03:30 UTC
Created attachment 1231950 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.15.0 built Nov 23 2016 09:41:30 CET

Comment 3 Shawn Iwinski 2016-12-15 03:31 UTC
Created attachment 1231951 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1403724
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-12-15 03:31:53 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2016-12-15 05:38:46 UTC

Thanks for the review.

New package requested on pkgdb.

Comment 6 Gwyn Ciesla 2016-12-15 13:19:38 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-justinrainbow-json-schema4

Comment 7 Fedora Update System 2016-12-15 14:12:18 UTC
php-justinrainbow-json-schema4-4.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c84d412a2

Comment 8 Fedora Update System 2016-12-15 14:12:26 UTC
php-justinrainbow-json-schema4-4.0.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bb2e63763

Comment 9 Fedora Update System 2016-12-15 14:12:31 UTC
php-justinrainbow-json-schema4-4.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-908654fb39

Comment 10 Fedora Update System 2016-12-16 04:20:41 UTC
php-justinrainbow-json-schema4-4.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-908654fb39

Comment 11 Fedora Update System 2016-12-16 05:31:35 UTC
php-justinrainbow-json-schema4-4.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c84d412a2

Comment 12 Fedora Update System 2016-12-16 05:33:14 UTC
php-justinrainbow-json-schema4-4.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bb2e63763

Comment 13 Fedora Update System 2016-12-23 06:18:30 UTC
php-justinrainbow-json-schema4-4.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c84d412a2

Comment 14 Fedora Update System 2016-12-23 06:18:48 UTC
php-justinrainbow-json-schema4-4.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bb2e63763

Comment 15 Fedora Update System 2016-12-23 06:18:56 UTC
php-justinrainbow-json-schema4-4.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-908654fb39

Comment 16 Fedora Update System 2016-12-23 14:18:14 UTC
php-justinrainbow-json-schema4-4.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-908654fb39

Comment 17 Fedora Update System 2016-12-23 14:52:39 UTC
php-justinrainbow-json-schema4-4.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bb2e63763

Comment 18 Fedora Update System 2016-12-23 15:21:52 UTC
php-justinrainbow-json-schema4-4.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c84d412a2

Comment 19 Fedora Update System 2016-12-31 22:20:18 UTC
php-justinrainbow-json-schema4-4.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-12-31 23:20:12 UTC
php-justinrainbow-json-schema4-4.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-01-08 22:20:27 UTC
php-justinrainbow-json-schema4-4.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.